package db.model;

import com.alibaba.fastjson.serializer.SerializerFeature;
import core.util.ToJSON;

import java.io.Serializable;
import java.util.List;

/**
 * Created by reborn on 2017/8/3.
 */

public abstract class AbstractModel extends ToJSON {

    public abstract Serializable primaryKey();

    @Override
    protected List<SerializerFeature> serializerFeatures() {
        List list=super.serializerFeatures();
        list.add(SerializerFeature.PrettyFormat);
        return list;
    }

    @SuppressWarnings("unchecked")
    public <T extends AbstractModel> T cast() throws ClassCastException{
        return (T) this;
    }
}
