package web.html;

import db.form.PageResult;
import db.model.AbstractModel;

import java.util.List;

public abstract class Table<T extends AbstractModel> extends PageResult<T> implements TableResult{


    private static String importJspPath;

    private static List<String> titles;

    private static List<String> otherTitles;

    private static List<String> columns;

    public String getImportJspPath() {
        if(importJspPath==null){
            importJspPath=importJspPath();
        }
        return importJspPath;
    }

    public List<String> getTitles() {
        if(titles==null){
            titles=titles();
        }
        return titles;
    }

    public List<String> getOtherTitles() {
        if(otherTitles==null){
            otherTitles=otherTitles();
        }
        return otherTitles;
    }

    public List<String> getColumns() {
        if(columns==null){
            columns=columns();
        }
        return columns;
    }

}


