package web.html.data;

import db.model.bilibili.DataModel;
import web.html.Table;

import java.util.ArrayList;
import java.util.List;

public class DataTable<T extends DataModel> extends Table<T> {

    @Override
    public int getPageSize() {
        if(super.getPageSize()==0){
            return 10;
        }else{
            return super.getPageSize();
        }
    }

    @Override
    public String importJspPath() {
        return "data/";
    }

    @Override
    public List<String> titles() {
        return new ArrayList<String>() {{
            add("弹幕编号");
            add("AV号");
            add("视频标题");
            add("视频副标题");
        }};
    }

    @Override
    public List<String> columns() {
        return new ArrayList<String>() {{
            add("cid");
            add("aid");
            add("title");
            add("subtitle");
        }};
    }

    @Override
    public List<String> otherTitles() {
        return new ArrayList<String>() {{
            add("弹幕数");
        }};
    }

}
