package core.thrift;

import org.apache.thrift.async.AsyncMethodCallback;

public class MyAsyncMethodCallback<E> implements AsyncMethodCallback<E> {

    private boolean onComplete=true;

    private E result;

    public E getResult() throws InterruptedException {
        while (onComplete){
            Thread.sleep(100);
        }
        return result;
    }

    @Override
    public void onComplete(E o) {
        onComplete=false;
        result=o;
    }

    @Override
    public void onError(Exception e) {
        e.printStackTrace();
    }
}
